#! /usr/bin/env python

import re

# Para pasar de los nombres del mes al numero
meses = {}
meses["Jan"] = 1
meses["Feb"] = 2
meses["Mar"] = 3
meses["Apr"] = 4
meses["May"] = 5
meses["Jun"] = 6
meses["Jul"] = 7
meses["Aug"] = 8
meses["Sep"] = 9
meses["Oct"] = 10
meses["Nov"] = 11
meses["Dec"] = 12

fr = open("data.csv", "r")
print("Anyo|Mes|Euribor")
for lin in fr:
    m = re.search("^(\d+)([A-Z]{1}[a-z]{2}),(.*)$", lin)

    if m:
        anyo = int(m.group(1))
        mes = meses[m.group(2)]
        euribor = float(m.group(3)) / 100

        print("%04d|%02d|%f" % (anyo, mes, euribor))

fr.close()
